import * as plugins from './coretraffic.plugins.js';
import * as paths from './coretraffic.paths.js';

const projectInfoNpm = new plugins.projectinfo.ProjectinfoNpm(paths.packageDir);

export const logger = new plugins.smartlog.Smartlog({
  logContext: {
    environment: 'production',
    runtime: 'node',
    zone: 'serve.zone',
    containerName: 'coretraffic',
  },
  minimumLogLevel: 'info',
});
