delete process.env.CLI_CALL;
import * as coretraffic from '../ts/index.js';

import { tap, expect } from '@push.rocks/tapbundle';
import { Qenv } from '@push.rocks/qenv';

const testQenv = new Qenv('./', './.nogit');
let testCoreTraffic: coretraffic.CoreTraffic;

tap.test('should create an coretraffic instance', async (tools) => {
  testCoreTraffic = new coretraffic.CoreTraffic();
  expect(testCoreTraffic).toBeInstanceOf(coretraffic.CoreTraffic);
});

tap.test('should start the instance', async (tools) => {
  await testCoreTraffic.start();
});

tap.test('should keep the instance alive', async (tools) => {
  await tools.delayFor(10000);
});

tap.test('should stop the instance', async (tools) => {
  await testCoreTraffic.stop();
});

tap.start();
